#!/usr/bin/env python

from getopt import getopt, GetoptError
from xml.dom.minidom import Document
from sss.server import SSSSelectEventReceiver
from sys import argv, exit

class printevent(SSSSelectEventReceiver):
    def HandleXMLEvent(self, xe, (peer,port)):
        for event in xe.childNodes:
            print event.toxml()
        response=Document().createElement('event-ok')
        return response

if __name__ == '__main__':
    try:
        (opts,args)=getopt(argv[1:],'dc:m:')
    except:
        print "Usage: event_tail.py -d [-c component] [-m msg] [-i data]"
        exit(1)
    debug=len([x for x in opts if x == ('-d', '')])
    component="**"
    msg="**"
    data="**"
    tmp=[x[1] for x in filter(lambda x:x[0]=='-c',opts)]
    if tmp: component=tmp[0]
    tmp=[x[1] for x in filter(lambda x:x[0]=='-m',opts)]
    if tmp: msg=tmp[0]
    tmp=[x[1] for x in filter(lambda x:x[0]=='-i',opts)]
    if tmp: data=tmp[0]
    server=printevent(component=component,msg=msg,data=data,debug=debug)
    server.ServeForever()
